Package org.opensaml.soap.wssecurity.util

# Class WSSecuritySupport

java.lang.Object
org.opensaml.soap.wssecurity.util.WSSecuritySupport

public final class WSSecuritySupport extends Object
Helper methods for working with WS-Security.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`WSSecuritySupport()`
Private constructor.

## Method Summary

Modifier and Type
Method
Description
`static void`
`addWSSE11TokenType(XMLObject soapObject, String tokenType)`
Adds a `wsse11:TokenType` attribute to the given SOAP object.
`static void`
`addWSSEUsage(XMLObject soapObject, String usage)`
Adds a single `wsse:Usage` value to the given SOAP object.
`static void`
`addWSSEUsages(XMLObject soapObject, List<String> usages)`
Adds a `wsse:Usage` attribute to the given SOAP object.
`static void`
`addWSUId(XMLObject soapObject, String id)`
Adds a `wsu:Id` attribute to the given SOAP object.
`static String`
`getWSSE11TokenType(XMLObject soapObject)`
Gets the `wsse11:TokenType` attribute from a given SOAP object.
`static List<String>`
`getWSSEUsages(XMLObject soapObject)`
Gets the list value of the `wsse:Usage` attribute from the given SOAP object.
`static String`
`getWSUId(XMLObject soapObject)`
Gets the `wsu:Id` attribute from a given SOAP object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WSSecuritySupport

private WSSecuritySupport()
Private constructor.

## Method Details

### addWSUId

public static void addWSUId(@Nonnull XMLObject soapObject, @Nonnull @NotEmpty String id)
Adds a `wsu:Id` attribute to the given SOAP object.

Parameters:
  `soapObject` - the SOAP object to add the attribute to
  `id` - the Id value

### getWSUId

@Nullable public static String getWSUId(@Nonnull XMLObject soapObject)
Gets the `wsu:Id` attribute from a given SOAP object.

Parameters:
  `soapObject` - the SOAP object to add the attribute to
Returns:
  the value of the Id attribute, or null if not present

### addWSSE11TokenType

public static void addWSSE11TokenType(@Nonnull XMLObject soapObject, @Nullable String tokenType)
Adds a `wsse11:TokenType` attribute to the given SOAP object.

Parameters:
  `soapObject` - the SOAP object to add the attribute to
  `tokenType` - the tokenType value

### getWSSE11TokenType

@Nullable public static String getWSSE11TokenType(@Nonnull XMLObject soapObject)
Gets the `wsse11:TokenType` attribute from a given SOAP object.

Parameters:
  `soapObject` - the SOAP object to add the attribute to
Returns:
  the value of the tokenType attribute, or null if not present

### addWSSEUsage

public static void addWSSEUsage(@Nonnull XMLObject soapObject, @Nonnull @NotEmpty String usage)
Adds a single `wsse:Usage` value to the given SOAP object. If an existing `wsse:Usage` attribute is present, the given usage will be added to the existing list.

Parameters:
  `soapObject` - the SOAP object to add the attribute to
  `usage` - the usage to add

### addWSSEUsages

public static void addWSSEUsages(@Nonnull XMLObject soapObject, @Nonnull List<String> usages)
Adds a `wsse:Usage` attribute to the given SOAP object.

Parameters:
  `soapObject` - the SOAP object to add the attribute to
  `usages` - the list of usages to add

### getWSSEUsages

@Nullable public static List<String> getWSSEUsages(@Nonnull XMLObject soapObject)
Gets the list value of the `wsse:Usage` attribute from the given SOAP object.

Parameters:
  `soapObject` - the SOAP object to add the attribute to
Returns:
  the list of usages, or null if not present